#!/bin/bash

## wrapper script for logrotating tcpdump, first parameter is outfile name, second limit in MegaBytes,
## then the real tcpdump parameters
outfile=$1
shift
limit=$1
shift

# echo LIMIT $limit
# echo PARAM $@

it=0
while true; do
	echo /usr/local/sbin/tcpdump -C $limit -w $outfile $@
	/usr/local/sbin/tcpdump -C $limit -w $outfile $@ &> /dev/null
	
	if [ $? = 0 ]; then
		newoutfile=`echo $outfile|sed 's/.pcap$/.1.pcap/'`
	fi
	\mv "$outfile" "$newoutfile"
done



